[openssl-dev] [openssl.org #4424] openssl 1.0.2.g and Indy-Procjet

Kurt Roeckx via RT rt at openssl.org
Sun Mar 13 15:22:19 UTC 2016


On Sun, Mar 13, 2016 at 02:09:34PM +0000, Olaf Kirfel via RT wrote:
> Hallo
> I am using Embarcadero/Borland C++-Builder for my personal interest and 
> I have the problem, that after the update to openssl 1.0.2g the 
> indy-components are not working.
> They are delivering an error message like "ssl-security library could 
> not be loaded" (I tried to translate it, sorry).
> 
> I read, that the reason might be, that you turn off the support for SSL2.
> I guess, the problem seems to be, that you removed some functions from 
> the library, so older software seems not to be able to load the dll, 
> even though one is trying to use SSL3.
> 
> Is there a way that you just add the old function-bodies and let them 
> return an error-code?
> By that one would be able to use the old indy-components with SSL3.

The SSLv2 functions were removed, but they should come back in the
next version.  You could use a current git snapshot for this.

Also, you should stop using SSLv3.  You want to use TLS 1.2.


Kurt


-- 
Ticket here: http://rt.openssl.org/Ticket/Display.html?id=4424
Please log in as guest with password guest if prompted



More information about the openssl-dev mailing list